+++ /dev/null
-#
-# Copyright (C) 2010-2012 OpenWrt.org
-#
-# This is free software, licensed under the GNU General Public License v2.
-# See /LICENSE for more information.
-#
-
-include $(TOPDIR)/rules.mk
-
-PKG_NAME:=libusb-1.0
-PKG_VERSION:=1.0.9
-PKG_RELEASE:=1
-
-PKG_SOURCE:=libusb-$(PKG_VERSION).tar.bz2
-PKG_SOURCE_URL:=@SF/libusb
-PKG_MD5SUM:=7f5a02375ad960d4e33a6dae7d63cfcb
-
-PKG_BUILD_DIR:=$(BUILD_DIR)/libusb-$(PKG_VERSION)
-PKG_INSTALL:=1
-
-include $(INCLUDE_DIR)/package.mk
-
-define Package/libusb-1.0
- SECTION:=libs
- CATEGORY:=Libraries
- TITLE:=A library for accessing Linux USB devices (non-legacy)
- DEPENDS:=+libpthread +librt
- URL:=http://libusb.wiki.sourceforge.net/
-endef
-
-define Package/libusb-1.0/description
- libusb is a C library that gives applications easy access to USB devices on
- many different operating systems.
-endef
-
-TARGET_CFLAGS += $(FPIC)
-
-define Build/InstallDev
- $(INSTALL_DIR) $(1)/usr/include/libusb-1.0
- $(CP) \
- $(PKG_INSTALL_DIR)/usr/include/libusb-1.0/libusb.h \
- $(1)/usr/include/libusb-1.0/
- $(INSTALL_DIR) $(1)/usr/lib
- $(CP) $(PKG_INSTALL_DIR)/usr/lib/libusb*.{a,la,so*} $(1)/usr/lib/
- $(INSTALL_DIR) $(1)/usr/lib/pkgconfig
- $(CP) \
- $(PKG_INSTALL_DIR)/usr/lib/pkgconfig/libusb*.pc \
- $(1)/usr/lib/pkgconfig/
-endef
-
-define Package/libusb-1.0/install
- $(INSTALL_DIR) $(1)/usr/lib
- $(CP) $(PKG_INSTALL_DIR)/usr/lib/libusb*.so* $(1)/usr/lib/
-endef
-
-$(eval $(call BuildPackage,libusb-1.0))
+++ /dev/null
-commit cadb77d99e314e42c3eb02d016e9d90136ec6959
-Author: Alexander Gordeev <lasaine@lvk.cs.msu.su>
-Date: Thu Jan 27 06:39:16 2011 +0300
-
- fix timerfd initialization
-
- sys/timerfd.h defines TFD_NONBLOCK as 0x800 but in kernel TFD_NONBLOCK
- is an alias for O_NONBLOCK which is defined in arch-specific fcntl.h.
- While it's still 0x800 for most of archs but for mips it's 0x80. So
- timerfd_create(..., TFD_NONBLOCK) returns -EINVAL because of that. Fix
- this by using O_NONBLOCK instead.
-
- Signed-off-by: Alexander Gordeev <lasaine@lvk.cs.msu.su>
-
---- a/libusb/io.c
-+++ b/libusb/io.c
-@@ -20,6 +20,7 @@
-
- #include <config.h>
- #include <errno.h>
-+#include <fcntl.h>
- #include <signal.h>
- #include <stdint.h>
- #include <stdlib.h>
-@@ -1072,7 +1073,7 @@ int usbi_io_init(struct libusb_context *
-
- #ifdef USBI_TIMERFD_AVAILABLE
- ctx->timerfd = timerfd_create(usbi_backend->get_timerfd_clockid(),
-- TFD_NONBLOCK);
-+ O_NONBLOCK);
- if (ctx->timerfd >= 0) {
- usbi_dbg("using timerfd for timeouts");
- r = usbi_add_pollfd(ctx, ctx->timerfd, POLLIN);
+++ /dev/null
-#
-# Copyright (C) 2007-2012 OpenWrt.org
-#
-# This is free software, licensed under the GNU General Public License v2.
-# See /LICENSE for more information.
-#
-
-include $(TOPDIR)/rules.mk
-
-PKG_NAME:=usbutils
-PKG_VERSION:=005
-PKG_RELEASE:=1
-
-PKG_SOURCE:=$(PKG_NAME)-$(PKG_VERSION).tar.bz2
-PKG_SOURCE_URL:=@KERNEL/linux/utils/usb/usbutils
-PKG_MD5SUM:=6a21f7b6c02b76df5e8a7c208d746654
-
-PKG_INSTALL:=1
-
-include $(INCLUDE_DIR)/package.mk
-
-define Package/usbutils
- SECTION:=utils
- CATEGORY:=Utilities
- DEPENDS:=+libusb-1.0 +zlib +librt +libpthread
- TITLE:=USB devices listing utilities
- URL:=http://www.linux-usb.org/
-endef
-
-define Package/usbutils/postinst
-#!/bin/sh
-[ -z "$${IPKG_INSTROOT}" ] || \
-(cd $${IPKG_INSTROOT}/usr/share; $${PKG_ROOT}/usr/sbin/update-usbids.sh ; rm usb.ids.gz.old)
-exit 0
-endef
-
-define Package/usbutils/install
- $(INSTALL_DIR) $(1)/usr/bin
- $(INSTALL_BIN) $(PKG_INSTALL_DIR)/usr/bin/lsusb $(1)/usr/bin/
- $(INSTALL_DIR) $(1)/usr/sbin
- $(INSTALL_BIN) $(PKG_INSTALL_DIR)/usr/sbin/update-usbids.sh $(1)/usr/sbin/
- $(INSTALL_DIR) $(1)/usr/share
- $(INSTALL_DATA) $(PKG_INSTALL_DIR)/usr/share/usb.ids.gz $(1)/usr/share/
-endef
-
-$(eval $(call BuildPackage,usbutils))
+++ /dev/null
---- a/update-usbids.sh.in
-+++ b/update-usbids.sh.in
-@@ -6,7 +6,7 @@
-
- set -e
- SRC="http://www.linux-usb.org/usb.ids"
--DEST=@usbids@
-+DEST=usb.ids
-
- # if usb.ids is read-only (because the filesystem is read-only),
- # then just skip this whole process.
+++ /dev/null
---- a/update-usbids.sh.in
-+++ b/update-usbids.sh.in
-@@ -6,9 +6,9 @@
-
- set -e
- SRC="http://www.linux-usb.org/usb.ids"
--DEST=usb.ids
-+DEST=usb.ids.gz
-
--# if usb.ids is read-only (because the filesystem is read-only),
-+# if usb.ids.gz is read-only (because the filesystem is read-only),
- # then just skip this whole process.
- if ! touch ${DEST} >&2 >/dev/null ; then
- ${quiet} || echo "${DEST} is read-only, exiting."
-@@ -16,10 +16,10 @@ if ! touch ${DEST} >&2 >/dev/null ; then
- fi
-
- if which wget >/dev/null 2>&1 ; then
-- DL="wget -O $DEST.new $SRC"
-+ DL="eval wget -O- $SRC | gzip >$DEST.new"
- ${quiet} && DL="$DL -q"
- elif which lynx >/dev/null 2>&1 ; then
-- DL="eval lynx -source $SRC >$DEST.new"
-+ DL="eval lynx -source $SRC | gzip >$DEST.new"
- else
- echo >&2 "update-usbids: cannot find wget nor lynx"
- exit 1
-@@ -31,7 +31,7 @@ if ! $DL ; then
- exit 1
- fi
-
--if ! grep >/dev/null "^C " $DEST.new ; then
-+if ! zcat $DEST.new | grep >/dev/null "^C " ; then
- echo >&2 "update-usbids: missing class info, probably truncated file"
- exit 1
- fi